type

ptestobj = ^Testobj;
testobj = object
i:longint;
constructor init;
Procedure Test_ab(a:longint);virtual;
Procedure Test_ab(a:longint;b:byte);virtual;
end;


Constructor TestObj.Init;
begin
i:=0;
end;


Procedure TestObj.Test_ab(a:longint);
begin
Test_ab(a,10);
end;


Procedure TestObj.Test_ab(a:longint;b:byte);
begin
writeln('a: ',a);
writeln('b: ',b);
end;


var t:ptestobj;
begin
t:=New(ptestobj,init);
t^.Test_ab(1,6);
readln;
end.